apiVersion: v1
kind: Pod
metadata:
  name: print-something
  labels:
    app: print-something
spec:
  containers:
    - name: env-print-demo
      image: gcr.io/google-samples/hello-app:1.0
      env:
        - name: SOMETHING
          value: "It's"
        - name: DAY
          value: "wednesday"
        - name: NAME
          value: "my dudes"
      command: ["printenv"]
      args: ["SOMETHING", "DAY", "NAME"]
  restartPolicy: Never

